Autor Beitrag
Csharp-programmierer
ontopic starontopic starontopic starontopic starontopic starontopic starontopic starontopic star
Beiträge: 696
Erhaltene Danke: 10

Windows 8.1
C# (VS 2013)
BeitragVerfasst: Sa 02.07.16 23:12 
Hallo,
heute habe ich endlich meinen neuen Rechner bekommen, habe darauf gleich mal VS 2015 Community installiert. Nun wollte ich es starten und es kommt die Fehlermeldung, dass das 4.6 Framework nicht installiert ist. Möchte Microsoft mich rollen, mir ein Programm ohne Framework auszuliefern?
Nun wollte ich das 4.6 Framework von Chip installieren und da stand, dass sich dieses Framework nur zum testen eignet und nicht für Prodiktik PC's. Was soll ich jetzt nun machen? Und wenn ich nun das 4.6 Framework installiere, damit Anwendungen schreibe, funktionieren die dann wie bis jetzt auch auf anderen PC's?

Moderiert von user profile iconChristian S.: Jahreszahl im Titel korrigiert

_________________
"Wer keinen Sinn im Leben sieht, ist nicht nur unglücklich, sondern kaum lebensfähig" - Albert Einstein
Th69
ontopic starontopic starontopic starontopic starontopic starontopic starontopic starontopic star
Moderator
Beiträge: 3875
Erhaltene Danke: 787

Win7
C++, C# (VS 2015/17)
BeitragVerfasst: So 03.07.16 09:57 
Hast du evtl. die 4.6.2 versucht zu installieren, diese ist noch die Preview-Version. Aktuell ist Microsoft .NET Framework 4.6.1.

Und auf Rechnern, auf denen deine Programme dann laufen sollen, muß - wie schon immer - natürlich die passende Framework-Version installiert sein (du kannst ja auch 4.0 oder 4.5 in den Projekteigenschaften auswählen).

Edit: Anscheinend ist aber Framework 4.x komplett abwärtskompatibel zu vorherigen Versionen (ab 2.0), denn ich habe bei mir auch VS 2015 Community nur mit .NET 4.6.1 installiert und kann selbst .NET 2.0-Programme fehlerfrei laufen lassen (Früher mußte man immer für 2.x, 3.x und 4.x entsprechende .NET-Versionen installiert haben).